package com.duowenlvshi.duowenlszp.model.Order.entity;

import java.util.Date;

public class Order {
    private String id;

    private String mealId;

    private String lawyerId;

    private String orderstate;

    private String paystate;

    private String city;

    private String mealname;

    private Integer postsize;

    private Integer pushsize;

    private Integer candidatesize;

    private Date endTime;

    private Double price;

    private String paytype;

    private String remake;

    private Date createdate;

    private Date paydate;

    private String wxtradNo;

    private String tradeNo;

    private int duration;

    private String isValid;

    private String orderType;



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getMealId() {
        return mealId;
    }

    public void setMealId(String mealId) {
        this.mealId = mealId == null ? null : mealId.trim();
    }

    public String getLawyerId() {
        return lawyerId;
    }

    public void setLawyerId(String lawyerId) {
        this.lawyerId = lawyerId == null ? null : lawyerId.trim();
    }

    public String getOrderstate() {
        return orderstate;
    }

    public void setOrderstate(String orderstate) {
        this.orderstate = orderstate == null ? null : orderstate.trim();
    }

    public String getPaystate() {
        return paystate;
    }

    public void setPaystate(String paystate) {
        this.paystate = paystate == null ? null : paystate.trim();
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city == null ? null : city.trim();
    }

    public String getMealname() {
        return mealname;
    }

    public void setMealname(String mealname) {
        this.mealname = mealname == null ? null : mealname.trim();
    }

    public Integer getPostsize() {
        return postsize;
    }

    public void setPostsize(Integer postsize) {
        this.postsize = postsize;
    }

    public Integer getPushsize() {
        return pushsize;
    }

    public void setPushsize(Integer pushsize) {
        this.pushsize = pushsize;
    }

    public Integer getCandidatesize() {
        return candidatesize;
    }

    public void setCandidatesize(Integer candidatesize) {
        this.candidatesize = candidatesize;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getPaytype() {
        return paytype;
    }

    public void setPaytype(String paytype) {
        this.paytype = paytype == null ? null : paytype.trim();
    }

    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake == null ? null : remake.trim();
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getPaydate() {
        return paydate;
    }

    public void setPaydate(Date paydate) {
        this.paydate = paydate;
    }

    public String getWxtradNo() {
        return wxtradNo;
    }

    public void setWxtradNo(String wxtradNo) {
        this.wxtradNo = wxtradNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }
}